#pragma once
#include "Gui/Surface.h"
#include "WindowGraphics.h"

namespace gui {

	/**
	 * Specialized surface for 2D rendering.
	 */
	class Surface2D : public Surface {
	public:
		// Create.
		Surface2D(Size size, Float scale) : Surface(size, scale) {}

		// Create a Graphics object for this surface.
		virtual WindowGraphics *createGraphics(Engine &e) = 0;
	};

}
